tigase.server.xmppsession

## Class PacketDefaultHandler

- java.lang.Object
- - tigase.server.xmppsession.PacketDefaultHandler

-     public class PacketDefaultHandler
      extends Object

  Describe class PacketDefaultHandler here. Created: Fri Feb 2 15:08:58 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PacketDefaultHandler()` Creates a new `PacketDefaultHandler` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canHandle(Packet packet, XMPPResourceConnection session)` Method description
    `boolean` | `forward(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results)` Method description
    `boolean` | `preprocess(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results)` Method description
    `void` | `process(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PacketDefaultHandler

          public PacketDefaultHandler()

      Creates a new `PacketDefaultHandler` instance.

  - ### Method Detail

    - #### canHandle

          public boolean canHandle(Packet packet,
                                   XMPPResourceConnection session)

      Method description
      Parameters:
        `packet` -
        `session` -

    - #### forward

          public boolean forward(Packet packet,
                                 XMPPResourceConnection session,
                                 NonAuthUserRepository repo,
                                 Queue<Packet> results)

      Method description
      Parameters:
        `packet` -
        `session` -
        `repo` -
        `results` -

    - #### preprocess

          public boolean preprocess(Packet packet,
                                    XMPPResourceConnection session,
                                    NonAuthUserRepository repo,
                                    Queue<Packet> results)

      Method description
      Parameters:
        `packet` -
        `session` -
        `repo` -
        `results` -

    - #### process

          public void process(Packet packet,
                              XMPPResourceConnection session,
                              NonAuthUserRepository repo,
                              Queue<Packet> results)
                       throws XMPPException

      Method description
      Parameters:
        `packet` -
        `session` -
        `repo` -
        `results` -
      Throws:
        `XMPPException`

Copyright © 2022 "Tigase, Inc.". All rights reserved.